#ifndef VISUALGUI_EXTERNALLINKVCL_H
#define VISUALGUI_EXTERNALLINKVCL_H

#include "visualGUI_externalLink.h"

// VCL
#ifdef WIN32
#include <wtypes.h>
#endif

#include "VCLDefinitions.h"
#include "VCLIO.h"
#include "VCLIOChannel.h"
#include "VCLIOChannelEntry.h"
#include "VCLVariable.h"
#include "VCLSocketDefs.h"
#include <conio.h>
#include <stdlib.h>
#include <iostream>

class visualGUI_externalLinkVCL : public visualGUI_externalLink
{
	Q_OBJECT

public:
	visualGUI_externalLinkVCL(QObject *parent, visualGUI_externalDataContainer* externalDataContainer_ );
	~visualGUI_externalLinkVCL();

	bool InitExternalLink();	// Verbindung instanziieren
	void processExternalLink();	// Daten mit Simulator ber externalLink austauschen

private:
	CVCLVariable<double> CAMERA_POSITION_LATITUDE;     
    CVCLVariable<double> CAMERA_POSITION_LONGITUDE; 
    CVCLVariable<double> CAMERA_POSITION_ALTITUDE; 
	CVCLVariable<double> OBJECT_BANK_PHI;
    CVCLVariable<double> OBJECT_PITCH_THETA;
    CVCLVariable<double> OBJECT_AZIMUTH_PSI;
	CVCLVariable<double> IS_VALID;
	CVCLVariable<double> TRACKING_ID;
};

#endif // VISUALGUI_EXTERNALLINKVCL_H
